#ifndef MARS_MH
#define MARS_MH

#ifndef MARS_MParContainer
#include "MParContainer.h"
#endif

class TCanvas;

class MH : public MParContainer
{
public:
    MH(const char *name=NULL, const char *title=NULL);

    virtual void Fill(const MParContainer *par) = 0;

    static TCanvas *MakeDefCanvas(const char *name=NULL, const char *title="",
                                  const UInt_t w=700, const UInt_t h=500);
    static TCanvas *MakeDefCanvas(const TObject *obj,
                                  const UInt_t w=700, const UInt_t h=500);

    ClassDef(MH, 1) //A histogram base class for Mars histograms
};

#endif

